import { SYSTEM } from "../config/system.mjs"
import { booleanField, htmlField, stringField } from "./shared.mjs"

export default class MGNEArtifact extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      description: htmlField(""),
      artifactId: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "shiver-lens",
        choices: SYSTEM.artifactChoices,
      }),
      synchronized: booleanField(false),
      synchronizedTo: stringField(""),
      usageDie: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "d6",
        choices: SYSTEM.usageDieChoices,
      }),
      broken: booleanField(false),
    }
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["MGNE.Artifact"]
}
